<template>
    <textarea
        v-model="ctx.model"
        v-bind="attributes"
        v-on="$listeners"
        class="InputTextArea"
    />
</template>

<script>
import VumikInputMixin from '../VumikInputMixin'

export default {
  name: 'VumikInputTextArea',
  mixins: [VumikInputMixin]
}
</script>

<style lang="postcss" scoped>
.InputTextArea {
  @apply appearance-none block w-full px-3 py-2 border border-gray-300 rounded-md shadow-sm resize-y;

  &:focus {
    @apply outline-none ring-yellow-500 border-yellow-500;
  }

  @screen sm {
      @apply text-sm;
  }
}

</style>
